D4Science Infrastructure - Task #10008

Ensure that the OCSP stapling script for haproxy runs after every certificate update
Oct 23, 2017 12:48 PM - Andrea Dell'Amico

Status: Closed Start date: Oct 23, 2017
Priority: Urgent Due date:
Assignee: Andrea Dell'’Amico % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable
Infrastructure: Development, Pre-Production,

Production
Description

Now it runs daily, but it means that it could be executed either just before or just after a certificate update or renewal.

Related issues:
Related to D4Science Infrastructure - Incident #10006: Infrastructure gateway... Closed Oct 23,2017 Oct 23, 2017

History

#1 - Oct 23, 2017 12:48 PM - Andrea Dell'Amico

- Related to Incident #10006: Infrastructure gateways TLS error with latest Firefox version added

#2 - Oct 23, 2017 12:49 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- Priority changed from Normal to Urgent

#3 - Oct 27,2017 01:06 PM - Andrea Dell'Amico
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Fixed. Now the script is also run from the letsencrypt hook that updates the certificate data for haproxy.

Dec 15, 2025 1/1



http://www.tcpdf.org

